Quote Responses API

Use the quote responses API endpoint to view the supplier responses to your sourcing event and award lines and lots.

Actions

Verb Path Action Description
POST /api/quote_responses/:id/award awardAward the quote response.
GET /api/quote_requests/:quote_request_id/quote_responses indexGet the latest submitted response per supplier. To see all responses, use the /api/quote_requests/:quote_request_id/quote_responses/all endpoint.
GET /api/quote_requests/:quote_request_id/quote_responses/all allGet all responses for a Sourcing event, including all submitted and draft responses.
GET /api/quote_responses indexGet all responses of specific Sourcing event.
DELETE /api/quote_responses/:id/award remove_awardRemove award from the quote response.
GET /api/quote_responses/:id showGet information about the particular response.
GET /api/quote_responses/all allGet all responses, including all submitted and draft responses.

Elements

Element Description Req'd Unique Allowable Value In Out Data Type
awardedAwardedyesboolean
commentsCommentsyestext
created-atAutomatically created by Coupa in the format YYYY-MM-DDTHH:MM:SS+HH:MMZyesdatetime
created-byUser who createdyes User
idCoupa unique identifieryesinteger
linesLinesyes QuoteResponseLine
positionpositionyesinteger
promotedpromotedyesboolean
quote-request-idquote_request_idyesinteger
quote-request-original-idCoupa unique identifier for original Sourcing Eventyesstring
quote-request-revisionSourcing Event Revisionyesstring
quote-supplierquote_supplieryesyes QuoteSupplier
response-statusResponse status of the supplier response (e.g., Awarded, Not Awarded, Disqualified, Promoted to Next Stage)yesyesQuote Response Status
statestateyesstring(255)
submitted-atsubmitted_atyesyesdatetime
updated-atAutomatically created by Coupa in the format YYYY-MM-DDTHH:MM:SS+HH:MMZyesdatetime
updated-byUser who updatedyes User
quote-request-attachment-responseDetails about supplier attachments at the event level. yes Quote Request Attachment Response

Quote Response attachments

To access a Quote Response attachment, you can use the /api/quote_requests/:quote_request_id/quote_responses endpoint to get the latest submitted response per supplier, or use the /api/quote_requests/:quote_request_id/quote_responses/all endpoint to get all responses, including historical and draft responses. Under the Lines object in the response body, locate the id field in the attachments array. Once you have the attachment ID, you can use the Attachments API to access the attachment.

For example, this sample response from a GET request to the /api/quote_requests/:quote_request_id/quote_responses/all endpoint includes a sample attachment ID:

[
    {
        "id": 1,
        "created-at": "2023-05-03T08:14:37-07:00",
        "updated-at": "2023-05-03T08:14:48-07:00",
        "quote-request-id": 1,
        "submitted-at": "2023-05-03T08:14:48-07:00",
        "state": "submitted",
        "promoted": false,
        "position": null,
        "comments": null,
        "exported": false,
        "quote-request-original-id": null,
        "quote-request-revision": null,
        "awarded": false,
        "lines": [
            {
                "id": 1,
                "created-at": "2023-05-03T08:14:37-07:00",
                "updated-at": "2023-05-24T04:26:55-07:00",
                "price-amount": "1.0",
                "quantity": "1.0",
                "reporting-price-amount": "1.0",
                "price-currency": {
                    "id": 1,
                    "code": "USD",
                    "decimals": 2
                },
                "quote-request-line-id": 1,
                "lot-id": 1,
                "lead-time": null,
                "cost-element-values": {},
                "supplier-item-name": null,
                "item-description": null,
                "item-part-number": null,
                "awarded": false,
                "easy-form-response": null,
                "shipping-term": null,
                "attachments": [
                {
                    "file": "path_to_attachment.xlsx",
                    "file-content-type": "application/octet-stream",
                    "file-file-name": "attachment_name.xlsx",
                    "file-file-size": "11565",
                    "file-url": "http://my-website.com/attachment/attachment_file/file/246/attachment_name.xlsx",
                    "id": 246, # <--- Attachment ID is here
                    "intent": "Internal",
                    "linked-to": "quote_request_attachment",
                    "text": null,
                    "type": "AttachmentFile",
                    "url": "http://my-website.com/attachments/246/view/attachment_name.xlsx"
                }
            ],